---
## Bug!
# < Broken> There is a serious Bug that occurs when hulitple nodes are listed! However a single list item works!
# - name: Create a trusted storage pool
#   gluster_peer:
#     state: present
#     nodes:
#       - "{{ hostvars['stor1_uni']['ansible_default_ipv4']['address'] }}"
#       - "{{ hostvars['stor2_uni']['ansible_default_ipv4']['address'] }}"
# < Broken/>


#---------------------------------------------------------------------------
# module: https://docs.ansible.com/ansible/latest/modules/gluster_peer_module.html
- debug:
    msg: '{{cluster_ips}}'

- name: create Trusted Storage Pool
  gluster_peer:
    state: present
    nodes: "{{item}}"
  with_items:
    # Requires manual editing, but Works!!!
    - "{{ hostvars['stor1.uni']['ansible_default_ipv4']['address'] }}"
    - "{{ hostvars['stor2.uni']['ansible_default_ipv4']['address'] }}"



- debug:
    msg: "{{ hostvars['stor1_uni']['ansible_default_ipv4']['address'] }}"
